List credit card debts
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/debts/type/credit-cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/cases/{case_id}/debts/type/credit-cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/cases/{case_id}/debts/type/credit-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01K9CD01AJ0T22HRYE78AN7CCC",
"case_id": "<string>",
"debt_type": "CRC",
"creditor_name": "Capital One",
"account_number": "***5678",
"condition": "OPEN",
"responsibility": "I",
"balance": 4523.89,
"credit_limit": 123,
"minimum_payment": 123,
"interest_rate": 24.99,
"is_joint_account": false,
"joint_holder_name": "<string>",
"collection_agency": "<string>",
"original_creditor": "<string>",
"credit_bureau_source": "experian",
"last_payment_date": "2023-12-25",
"notification_status": "not_notified",
"notification_date": "2023-12-25",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}{
"error": {
"code": "forbidden",
"message": "You do not have permission to access this resource."
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}List by Type
List credit card debts
Returns debts filtered to credit card types: CRC (Credit card), FSC (Credit card), CHG (Revolving charge account), SCC (Secured credit card), 18 (Credit card), 2A (Secured credit card), 07 (Revolving charge account), 0G (Flexible spending credit card).
GET
/
cases
/
{case_id}
/
debts
/
type
/
credit-cards
List credit card debts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Query Parameters
Page number for pagination.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Available options:
DECEASED, CHARGEOFF, BANKRUPTCY, TRANSFER, REPOSSESSION, CLOSED, BANKRUPTCYPET, COLLECTIONS, DELINQUENT120, DELINQUENT90, DELINQUENT60, DELINQUENT30, REFINANCED, LOST, OPEN, PAID, UNKNOWN Available options:
1, B, I, 8, C, 5, S, 2, J, 4, P, 3, A, 7, M, 0, O, U, 9, T, X 
